#include "TRandom.h"
#include "monitor.h"
   
single_monitor::single_monitor() {
}
single_monitor::single_monitor(int i) {
   pos = i+1000;
   plane = i;
   sprintf(name,"single%d",i);
}
single_monitor::~single_monitor() {
}
monitor_info::monitor_info() {
   fcount = 0;
   fmonitor = 0;
}
monitor_info::monitor_info(int i) {
   fcount = (int)gRandom->Uniform(10,500);
   fmonitor = new single_monitor*[fcount];
   for (int j=0;j<fcount;j++) {
      fmonitor[j] = new single_monitor(j);
   }
}
monitor_info::~monitor_info() {
   for (int j=0;j<fcount;j++) delete fmonitor[j];
   delete [] fmonitor;
}

BPM_ALL_BASE::BPM_ALL_BASE() {
}

BPM_ALL_BASE::~BPM_ALL_BASE() {
}

void BPM_ALL_BASE::Build() {
   MOPOS_Monitor = new monitor_info(1);
   REALTIME_Monitor = new monitor_info(10);
}

