#include "TObject.h"
   
class  single_monitor
{
public:
 Char_t         name[20];
 Float_t                pos;
 Int_t                  plane; // 1: horizontal  2: vertical
 
 single_monitor();
 single_monitor(int i);
 virtual ~single_monitor();
 ClassDef(single_monitor,1)
};

class monitor_info: public  TObject
{       public:
        monitor_info();
        monitor_info(int i);
        ~monitor_info();
        Int_t                   GetMonitorCount();
        Char_t*         GetMonitorName(Int_t i);
        Float_t         GetMonitorPosition(Int_t i);
        Int_t                   GetMonitorPlane(Int_t i);
        const Char_t*   GetMonitorNamePlane(Int_t i);
        Int_t                   AddMonitor(Int_t i, Char_t *name, Float_t pos, Int_t plane);
        Int_t                   IsMonitorPlane(Int_t i, Int_t plane);

        private:
        Int_t                   fcount;
        single_monitor  **fmonitor; //[fcount]

        ClassDef(monitor_info,1)
};

class BPM_ALL_BASE : public  TObject
{
        public:
        Int_t                   Cycletype;

        monitor_info    *MOPOS_Monitor;         //->
        monitor_info    *REALTIME_Monitor;      //->

        BPM_ALL_BASE();
        ~BPM_ALL_BASE();
        void Build();
        
        private:

        ClassDef(BPM_ALL_BASE,1)
};

